summaryrefslogtreecommitdiffstats
path: root/sca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh')
-rwxr-xr-xsca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/sca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh b/sca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh
new file mode 100755
index 0000000000..9f2dacab56
--- /dev/null
+++ b/sca-cpp/tags/cpp-1.0-incubating-M2-final/sca/runtime/extensions/python/src/deploy.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+APFULLDIR=`pwd`
+
+echo "Enabling the Tuscany Python extension"
+
+cd ./lib
+
+for i in *.disabled; \
+do x=${i%.disabled}; \
+ mv $i $x; \
+ if ! [ "$x" = "libtuscany_sca_python.so.0.0.0" ]; then \
+ ln -s -f libtuscany_sca_python.so.0.0.0 $x; \
+ fi; \
+done
+
+ln -s -f libtuscany_sca_python.so sca.so
+
+echo "Done"
+